dict-xdict 卸载不完全导致的错误

为当前最终发行版之前的所有版本提供支持
回复
msbright
帖子: 3
注册时间: 2011-03-23 20:07
送出感谢: 0
接收感谢: 0

dict-xdict 卸载不完全导致的错误

#1

帖子 msbright » 2011-03-23 20:14

大虾们,
帮帮小弟怎么解决.
原本想通过ubuntu software center 安装dict-xdict.但是安装中出错,本想卸掉就完了。谁知没有完全删掉。现在每次安装程序,都会报错。如何才能解决掉这个错误。
==============
正预备替换 dict-xdict 0.1-4 (使用 .../dict-xdict_0.1-4_all.deb) ...

正在解压缩将用于更替的包文件 dict-xdict ...

选中了曾被取消选择的软件包 chromium-browser-inspector。

正在解压缩 chromium-browser-inspector (从 .../chromium-browser-inspector_10.0.648.133~r77742-0ubuntu0.10.04.1_all.deb) ...

选中了曾被取消选择的软件包 libvpx0。

正在解压缩 libvpx0 (从 .../libvpx0_0.9.5-2~build0.10.04.1_i386.deb) ...

选中了曾被取消选择的软件包 chromium-codecs-ffmpeg。

正在解压缩 chromium-codecs-ffmpeg (从 .../chromium-codecs-ffmpeg_10.0.648.133~r77742-0ubuntu0.10.04.1_i386.deb) ...

选中了曾被取消选择的软件包 chromium-browser。

正在解压缩 chromium-browser (从 .../chromium-browser_10.0.648.133~r77742-0ubuntu0.10.04.1_i386.deb) ...

选中了曾被取消选择的软件包 chromium-browser-l10n。

正在解压缩 chromium-browser-l10n (从 .../chromium-browser-l10n_10.0.648.133~r77742-0ubuntu0.10.04.1_all.deb) ...

正在处理用于 man-db 的触发器...

正在处理用于 desktop-file-utils 的触发器...

正在处理用于 python-gmenu 的触发器...

Rebuilding /usr/share/applications/desktop.zh_CN.UTF8.cache...

正在处理用于 hicolor-icon-theme 的触发器...

正在处理用于 python-support 的触发器...

正在设置 dict-xdict (0.1-4) ...

invoke-rc.d: unknown initscript, /etc/init.d/dictd not found.

dpkg:处理 dict-xdict (--configure)时出错:

子进程 已安装的 post-installation 脚本 返回了错误号 100

正在设置 libvpx0 (0.9.5-2~build0.10.04.1) ...



正在设置 chromium-browser-inspector (10.0.648.133~r77742-0ubuntu0.10.04.1) ...

正在设置 chromium-codecs-ffmpeg (10.0.648.133~r77742-0ubuntu0.10.04.1) ...

正在设置 chromium-browser (10.0.648.133~r77742-0ubuntu0.10.04.1) ...

update-alternatives: 使用 /usr/bin/chromium-browser 来提供 /usr/bin/x-www-browser (x-www-browser),于 自动模式 中。

update-alternatives: 使用 /usr/bin/chromium-browser 来提供 /usr/bin/gnome-www-browser (gnome-www-browser),于 自动模式 中。



正在设置 chromium-browser-l10n (10.0.648.133~r77742-0ubuntu0.10.04.1) ...

正在处理用于 libc-bin 的触发器...

ldconfig deferred processing now taking place

在处理时有错误发生:

dict-xdict

正在设置 dict-xdict (0.1-4) ...

invoke-rc.d: unknown initscript, /etc/init.d/dictd not found.

dpkg:处理 dict-xdict (--configure)时出错:

子进程 已安装的 post-installation 脚本 返回了错误号 100

========================

oliver
msbright
帖子: 3
注册时间: 2011-03-23 20:07
送出感谢: 0
接收感谢: 0

Re: dict-xdict 卸载不完全导致的错误

#2

帖子 msbright » 2011-03-28 10:03

运行下面代码后,出的信息。
sudo apt-get install -f
====================================
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
下列软件包是自动安装的并且现在不需要了:
linux-headers-2.6.32-28-generic linux-headers-2.6.32-28
使用'apt-get autoremove'来删除它们
升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件包未被升级。
有 1 个软件包没有被完全安装或卸载。
解压缩后会消耗掉 0B 的额外空间。
正在设置 dict-xdict (0.1-4) ...
invoke-rc.d: unknown initscript, /etc/init.d/dictd not found.
dpkg:处理 dict-xdict (--configure)时出错:
子进程 已安装的 post-installation 脚本 返回了错误号 100
在处理时有错误发生:
dict-xdict
E: Sub-process /usr/bin/dpkg returned an error code (1)
msbright
帖子: 3
注册时间: 2011-03-23 20:07
送出感谢: 0
接收感谢: 0

Re: dict-xdict 卸载不完全导致的错误

#3

帖子 msbright » 2011-03-30 0:24

Done. 新建dictd 文件,空内容。
zrlzwd7758
帖子: 1
注册时间: 2009-05-02 0:28
送出感谢: 0
接收感谢: 0

Re: dict-xdict 卸载不完全导致的错误

#4

帖子 zrlzwd7758 » 2011-04-04 16:14

这个是因为卸载xdict时没有卸载完全
先用这个命令找出dict-xdict未卸载完全的相关文件:ls -l /var/lib/dpkg/info/dict-xdict.*
再用root用户打开对应的目录删除这找到的相关文件
最后再在软件中心中删除dict-xdict就可以了。
回复

回到 “老旧版本支持”